Debian Bug report logs - #675753
Depends on both python2.6 and python2.7

version graph

Package: python-nose; Maintainer for python-nose is Gustavo Noronha Silva <kov@debian.org>; Source for python-nose is src:nose.

Reported by: Andrey Kutejko <andy128k@gmail.com>

Date: Sun, 3 Jun 2012 06:33:01 UTC

Severity: minor

Found in versions nose/1.1.2-3, nose/1.0.0-1

Fixed in version nose/1.3.0-2

Done: Dmitry Shachnev <mitya57@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#675753; Package python-nose. (Sun, 03 Jun 2012 06:33:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Andrey Kutejko <andy128k@gmail.com>:
New Bug report received and forwarded. Copy sent to Gustavo Noronha Silva <kov@debian.org>. (Sun, 03 Jun 2012 06:33:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Andrey Kutejko <andy128k@gmail.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: Depends on both python2.6 and python2.7
Date: Sun, 03 Jun 2012 08:54:35 +0300
Package: python-nose
Version: 1.0.0-1
Severity: minor

Version python-nose 1.1.2-3 forces to install both python2.6 and python2.7.



-- System Information:
Debian Release: unstable
  APT prefers unstable
  APT policy: (500, 'unstable'), (1, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 3.2.0-2-amd64 (SMP w/2 CPU cores)
Locale: LANG=ru_UA.utf8, LC_CTYPE=ru_UA.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages python-nose depends on:
ii  python                2.7.2-10
ii  python-pkg-resources  0.6.24-1
ii  python-support        1.0.14

python-nose recommends no packages.

Versions of packages python-nose suggests:
pn  python-coverage  <none>

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Gustavo Noronha Silva <kov@debian.org>:
Bug#675753; Package python-nose. (Fri, 11 Jan 2013 11:09:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitry Shachnev <mitya57@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gustavo Noronha Silva <kov@debian.org>. (Fri, 11 Jan 2013 11:09:09 GMT) Full text and rfc822 format available.

Message #10 received at 675753@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 675753@bugs.debian.org
Subject: Re: Depends on both python2.6 and python2.7
Date: Fri, 11 Jan 2013 15:04:48 +0400
Control: found -1 1.1.2-3

On Sun, 03 Jun 2012 08:54:35 +0300, Andrey Kutejko wrote:
> Version python-nose 1.1.2-3 forces to install both python2.6 and python2.7.

I think that is expected behaviour: python-nose provides
/usr/bin/nosetests-2.6 and /usr/bin/nosetests-2.7 scripts, which
require 2.6 and 2.7 respectively.

--
Dmitry Shachnev



Marked as found in versions nose/1.1.2-3. Request was from Dmitry Shachnev <mitya57@gmail.com> to 675753-submit@bugs.debian.org. (Fri, 11 Jan 2013 11:09:09 GMT) Full text and rfc822 format available.

Reply sent to Dmitry Shachnev <mitya57@gmail.com>:
You have taken responsibility. (Sun, 19 May 2013 13:21:12 GMT) Full text and rfc822 format available.

Notification sent to Andrey Kutejko <andy128k@gmail.com>:
Bug acknowledged by developer. (Sun, 19 May 2013 13:21:13 GMT) Full text and rfc822 format available.

Message #17 received at 675753-close@bugs.debian.org (full text, mbox):

From: Dmitry Shachnev <mitya57@gmail.com>
To: 675753-close@bugs.debian.org
Subject: Bug#675753: fixed in nose 1.3.0-2
Date: Sun, 19 May 2013 13:18:37 +0000
Source: nose
Source-Version: 1.3.0-2

We believe that the bug you reported is fixed in the latest version of
nose, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 675753@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Dmitry Shachnev <mitya57@gmail.com> (supplier of updated nose package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Sun, 19 May 2013 16:15:23 +0400
Source: nose
Binary: python-nose-doc python-nose python3-nose
Architecture: source all
Version: 1.3.0-2
Distribution: unstable
Urgency: low
Maintainer: Gustavo Noronha Silva <kov@debian.org>
Changed-By: Dmitry Shachnev <mitya57@gmail.com>
Description: 
 python-nose - test discovery and running of Python's unittest
 python-nose-doc - documentation for discovery and running for Python's unittest
 python3-nose - test discovery and running for Python3 unittest
Closes: 675753 707897
Changes: 
 nose (1.3.0-2) unstable; urgency=low
 .
   * Team upload.
   * Upload to unstable.
 .
   [ Jakub Wilk ]
   * Use canonical URIs for Vcs-* fields.
 .
   [ Dmitry Shachnev ]
   * Rebuild without python2.6 (closes: #675753, #707897).
   * Drop nosetests-3.x scripts. There is no easy way to provide these
     scripts for all supported Python 3 versions, and there are other
     ways to do the same thing (like running python3.x -m nose).
   * Install a manpage for nosetests-2.7.
   * Update the Homepage: field.
Checksums-Sha1: 
 4c262b7a609883373f6c3c996de189ab248bd39b 2209 nose_1.3.0-2.dsc
 bc1c25edb4cef48b6fe8505f8b22372759aa0395 7543 nose_1.3.0-2.debian.tar.gz
 9d3144bfd5df15a7519e044d818a691f56217227 249428 python-nose-doc_1.3.0-2_all.deb
 c5c3431adf756ace3d13c5cc97184cc659270b31 155192 python-nose_1.3.0-2_all.deb
 ad403addd8b0b786d32f02f136fd79c8df158e6f 154540 python3-nose_1.3.0-2_all.deb
Checksums-Sha256: 
 e5467b0d72913fa9f8d7c82778e12d67b0bbd150161c0a7c657a03e00512974f 2209 nose_1.3.0-2.dsc
 326c1f9c79b38cc3962a7f03cf8eb30197d2046d5d132e24447a9bdd2e24d99e 7543 nose_1.3.0-2.debian.tar.gz
 c6690b26616968c4ef38928dae67bea60d5c2d1185373c8980edf99c8a162bbb 249428 python-nose-doc_1.3.0-2_all.deb
 a7a207b90b66de8d8d645e04a8cba067c81571e3a33076ec2d656599c187ad14 155192 python-nose_1.3.0-2_all.deb
 666165a35764ec562aa5080ea86f352ecbe4ace10f7c92b88066b0a802c3b692 154540 python3-nose_1.3.0-2_all.deb
Files: 
 43d77cab4b6d05490d6f604d087de929 2209 python optional nose_1.3.0-2.dsc
 4e30180f4f1ac0dae76d6666abbf7eb1 7543 python optional nose_1.3.0-2.debian.tar.gz
 d6194d33aa94d5c6b7a2e1cb8a788e07 249428 doc optional python-nose-doc_1.3.0-2_all.deb
 f19b521d58ca3bfb0a49fb0034ffeb6b 155192 python optional python-nose_1.3.0-2_all.deb
 0b05f3d83ac314dc3e1135493ca6ca41 154540 python optional python3-nose_1.3.0-2_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJRmM6NAAoJEEkIatPr4vMf5bsP/2zXn88YU2EbsLAdL7gntrNl
jf58x1LCq/CjvJeuWQ1go9CoN07vtkIXwwU0kiIOnZq9roy+Ltg92/Iz5kwgMufO
OW7n3xhRrEEu3NDsYrxZVbmT11PZZYDN71UqbcchN6OcW5PGM1L7pxoKPOMxQoWv
Ra1j5sz0WxxwQixSDeet/PmfmSwEyYzwBSpngNlMjDUKCcSi6etx4GjR+lOvVkyG
VKNQh8lOyNe6JcBkJQPqvCSRd2eYP/K7SE+DaagjPirOV/1u0uZ4IaBwxRZQFjgp
vtwFzW9YYKkhZkJKL3MyXjttun4WpfUaileu/T30xBe5WRp2Ixa0uuit5of+mXVo
rKUCwqzHr1ZzCUEcq6CnR9uq2FV/yCidlidSemBPISVAQOcMxMIgYalB4tsGWDc0
B+g9squSr7QtmT9QVPWFVyo1nfdY9fcFJuUwtqQmc/gpSaNHF25ERvSTUVt53mmp
6uu9r/R90uh08/y2DpCLHqYefMGLyHKqXCZKju15OdjCwWwBuQtMlI58XcOhF//w
4Zqs6B4VzdW/qfWteatuMVVUC13yY0Y/zFkZ0oW0RFjFyJC8rVDaWLPZteUVtfIJ
tU56ZM0kKBBFKRZ3qmTSEk+n3kQQlnWaeO6RZ+neyDHOf26s5A0IvaBHSGK15dRO
I5AdfPTgTmSgRH8O0qng
=sFhR
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 27 Jun 2013 07:31:23 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 16 04:40:39 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.